#!/bin/bash
# Run the most time consuming LCFI processors on a subset of files
# by protopop@cern.ch - Jul 2013 (PBS version)

events="-1"

if [ "$1" -eq "$1" 2> /dev/null ]; then
  dstmp=`date | awk '{print $2$3}'`
  tag="$1"
  echo "Using run tag $tag"
else
  echo "Please provide a numeric tag!"
  exit 1
fi

cd /afs/phas.gla.ac.uk/user/p/protopop/ILC/analysis/Marlin/ZZfusion/batch

steer="zvbkg$tag.xml"
lcout="/afs/phas.gla.ac.uk/data/ilc/datasets01/1.4tev/ZVRES_out/ktbgfti$tag"_out.slcio
gearx="../gear_ldc.xml"
flist="../steer/bkg_files.xml"

# Five files at a time in this case!
let "n1=$1*5"
let "n2=n1+4"
files=`sed -n "$n1,$n2"p < $flist`

cp ../steer/template_03.xml "$steer"

echo "Customising template for this batch run ..."
perl -p -i -e "s#MYNEVENTS#$events#g" $steer
perl -p -i -e "s#MYGEARFILE#$gearx#g" $steer
perl -p -i -e "s#MYLCIOFILES#$files#g" $steer
perl -p -i -e "s#MYVERBOSITY#SILENT#g" $steer
perl -p -i -e "s#MYOUTPUTLCIOFILE#$lcout#g" $steer

echo "Your steering file is $steer "

ftstr="ktft_bkg$tag-gnets.xml"
echo "Creating $ftstr steering file ..."
cp ft0-pbs-gnets.xml $ftstr
perl -p -i -e "s#fti1#bgfti$tag#g" $ftstr
perl -p -i -e "s#flavourtag1#bgflavourtag$tag#g" $ftstr

if [ "1" -eq "1" ]; then
 source /afs/phas.gla.ac.uk/data/ilc/software/ilcsoft/v01-14/init_ilcsoft.sh   
 Marlin $steer 
 # >/dev/null 2>&1  
else
 echo "Will not run Marlin"
fi

echo "Run $tag done."

echo "Bye!"
echo
